> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve one field from a user profile

> Retrieve the value of one field in a user profile



## OpenAPI

````yaml GET /me/applications/{app}/data/fields/{field}
openapi: 3.1.0
info:
  title: Rownd API
  version: 1.0.0
servers:
  - url: https://api.rownd.io
    description: Rownd production environment
  - url: https://api.us-east-2.dev.rownd.io
    description: Rownd development environment
security:
  - hubAccessTokenForRowndApi: []
tags:
  - name: applications
  - name: application_creds
  - name: application_schemas
paths:
  /me/applications/{app}/data/fields/{field}:
    parameters:
      - $ref: '#/components/parameters/AppID'
      - $ref: '#/components/parameters/Field'
    get:
      tags:
        - me
      description: Retrieve the value of one field in a user profile
      operationId: my_application_data_field_get
      parameters:
        - $ref: '#/components/parameters/Preview'
      responses:
        '200':
          description: The value of the data field
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: string
            '*/*':
              schema:
                type: string
                format: binary
      security:
        - hubAccessToken: []
components:
  parameters:
    AppID:
      name: app
      in: path
      schema:
        type: string
      required: true
      description: Rownd application ID
    Field:
      name: field
      in: path
      required: true
      schema:
        type: string
      description: The name of a field in your application schema
      example: first_name
    Preview:
      name: preview
      in: query
      required: false
      schema:
        type: string
        enum:
          - small
          - medium
          - large
      description: Return an image thumbnail of the resource
      example: small
  securitySchemes:
    hubAccessTokenForRowndApi:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is your Rownd JWT
    hubAccessToken:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is the user's Rownd JWT

````